Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkExtractRectilinearGrid Class Reference

`#include <vtkExtractRectilinearGrid.h>`

Inheritance diagram for vtkExtractRectilinearGrid:

[legend]
Collaboration diagram for vtkExtractRectilinearGrid:

[legend]
List of all members.

## Detailed Description

Extract a sub grid (VOI) from the structured rectilinear dataset.

Date:
  2002/04/02 20:57:56

Revision:
  1.2

vtkExtractRectilinearGrid rounds out the set of filters that extract a subgrid out of a larger structured data set. RIght now, this filter only supports extracting a VOI. In the future, it might support strides like the vtkExtract grid filter.

See also:
  vtkExtractGrid vtkImageClip vtkGeometryFilter vtkExtractGeometry vtkExtractVOI vtkStructuredGridGeometryFilter

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (98%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkExtractRectilinearGrid.cxx)`
  - .`h` (`/Graphics/vtkExtractRectilinearGrid.h)`

Tests:
  vtkExtractRectilinearGrid (Tests)

Definition at line 50 of file vtkExtractRectilinearGrid.h.

## Public Types
typedef vtkRectilinearGridSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkRectilinearGrid *input)
vtkRectilinearGrid * | GetInput ()
virtual void | SetVOI (int, int, int, int, int, int)
virtual void | SetVOI (int[6])
virtual int * | GetVOI ()
virtual void | GetVOI (int data[6])
virtual void | SetSampleRate (int, int, int)
virtual void | SetSampleRate (int[3])
virtual int * | GetSampleRate ()
virtual void | GetSampleRate (int data[3])
virtual void | SetIncludeBoundary (int)
virtual int | GetIncludeBoundary ()
virtual void | IncludeBoundaryOn ()
virtual void | IncludeBoundaryOff ()
## Static Public Methods
vtkExtractRectilinearGrid * | New ()
int | IsTypeOf (const char *type)
vtkExtractRectilinearGrid * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkExtractRectilinearGrid ()
| ~vtkExtractRectilinearGrid ()
void | Execute ()
void | ExecuteInformation ()
void | ComputeInputUpdateExtents (vtkDataObject *out)
## Protected Attributes
int | VOI [6]
int | SampleRate [3]
int | IncludeBoundary

## Member Typedef Documentation

typedef vtkRectilinearGridSource vtkExtractRectilinearGrid::Superclass

| Reimplemented from vtkRectilinearGridSource. Definition at line 54 of file vtkExtractRectilinearGrid.h.

## Constructor & Destructor Documentation

vtkExtractRectilinearGrid::vtkExtractRectilinearGrid | ( |  | ) | `[protected]`

vtkExtractRectilinearGrid::~vtkExtractRectilinearGrid | ( |  | ) | `[inline, protected]`

| Definition at line 94 of file vtkExtractRectilinearGrid.h.

## Member Function Documentation

vtkExtractRectilinearGrid* vtkExtractRectilinearGrid::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkExtractRectilinearGrid::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkRectilinearGridSource.

int vtkExtractRectilinearGrid::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRectilinearGridSource.

virtual int vtkExtractRectilinearGrid::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRectilinearGridSource.

vtkExtractRectilinearGrid* vtkExtractRectilinearGrid::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkRectilinearGridSource.

void vtkExtractRectilinearGrid::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkRectilinearGridSource.

void vtkExtractRectilinearGrid::SetInput | ( | vtkRectilinearGrid * | input | ) |

| Set / get the input Grid or filter.

vtkRectilinearGrid* vtkExtractRectilinearGrid::GetInput | ( |  | ) |

| Set / get the input Grid or filter.

virtual void vtkExtractRectilinearGrid::SetVOI | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Specify i-j-k (min,max) pairs to extract. The resulting structured grid dataset can be of any topological dimension (i.e., point, line, plane, or 3D grid).

virtual void vtkExtractRectilinearGrid::SetVOI | ( | int | [6] | ) | `[virtual]`

| Specify i-j-k (min,max) pairs to extract. The resulting structured grid dataset can be of any topological dimension (i.e., point, line, plane, or 3D grid).

virtual int* vtkExtractRectilinearGrid::GetVOI | ( |  | ) | `[virtual]`

| Specify i-j-k (min,max) pairs to extract. The resulting structured grid dataset can be of any topological dimension (i.e., point, line, plane, or 3D grid).

virtual void vtkExtractRectilinearGrid::GetVOI | ( | int | data[6] | ) | `[virtual]`

| Specify i-j-k (min,max) pairs to extract. The resulting structured grid dataset can be of any topological dimension (i.e., point, line, plane, or 3D grid).

virtual void vtkExtractRectilinearGrid::SetSampleRate | ( | int | ,
|  | int | ,
|  | int |
| ) | `[virtual]`

| Set the sampling rate in the i, j, and k directions. If the rate is > 1, then the resulting VOI will be subsampled representation of the input. For example, if the SampleRate=(2,2,2), every other point will be selected, resulting in a volume 1/8th the original size.

virtual void vtkExtractRectilinearGrid::SetSampleRate | ( | int | [3] | ) | `[virtual]`

| Set the sampling rate in the i, j, and k directions. If the rate is > 1, then the resulting VOI will be subsampled representation of the input. For example, if the SampleRate=(2,2,2), every other point will be selected, resulting in a volume 1/8th the original size.

virtual int* vtkExtractRectilinearGrid::GetSampleRate | ( |  | ) | `[virtual]`

| Set the sampling rate in the i, j, and k directions. If the rate is > 1, then the resulting VOI will be subsampled representation of the input. For example, if the SampleRate=(2,2,2), every other point will be selected, resulting in a volume 1/8th the original size.

virtual void vtkExtractRectilinearGrid::GetSampleRate | ( | int | data[3] | ) | `[virtual]`

| Set the sampling rate in the i, j, and k directions. If the rate is > 1, then the resulting VOI will be subsampled representation of the input. For example, if the SampleRate=(2,2,2), every other point will be selected, resulting in a volume 1/8th the original size.

virtual void vtkExtractRectilinearGrid::SetIncludeBoundary | ( | int |  | ) | `[virtual]`

| Control whether to enforce that the "boundary" of the grid is output in the subsampling process. (This ivar only has effect when the SampleRate in any direction is not equal to 1.) When this ivar IncludeBoundary is on, the subsampling will always include the boundary of the grid even though the sample rate is not an even multiple of the grid dimensions. (By default IncludeBoundary is off.)

virtual int vtkExtractRectilinearGrid::GetIncludeBoundary | ( |  | ) | `[virtual]`

| Control whether to enforce that the "boundary" of the grid is output in the subsampling process. (This ivar only has effect when the SampleRate in any direction is not equal to 1.) When this ivar IncludeBoundary is on, the subsampling will always include the boundary of the grid even though the sample rate is not an even multiple of the grid dimensions. (By default IncludeBoundary is off.)

virtual void vtkExtractRectilinearGrid::IncludeBoundaryOn | ( |  | ) | `[virtual]`

| Control whether to enforce that the "boundary" of the grid is output in the subsampling process. (This ivar only has effect when the SampleRate in any direction is not equal to 1.) When this ivar IncludeBoundary is on, the subsampling will always include the boundary of the grid even though the sample rate is not an even multiple of the grid dimensions. (By default IncludeBoundary is off.)

virtual void vtkExtractRectilinearGrid::IncludeBoundaryOff | ( |  | ) | `[virtual]`

| Control whether to enforce that the "boundary" of the grid is output in the subsampling process. (This ivar only has effect when the SampleRate in any direction is not equal to 1.) When this ivar IncludeBoundary is on, the subsampling will always include the boundary of the grid even though the sample rate is not an even multiple of the grid dimensions. (By default IncludeBoundary is off.)

void vtkExtractRectilinearGrid::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkExtractRectilinearGrid::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkExtractRectilinearGrid::ComputeInputUpdateExtents | ( | vtkDataObject * | out | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkSource.

## Member Data Documentation

int vtkExtractRectilinearGrid::VOI[6]`[protected]`

| Definition at line 100 of file vtkExtractRectilinearGrid.h.

int vtkExtractRectilinearGrid::SampleRate[3]`[protected]`

| Definition at line 101 of file vtkExtractRectilinearGrid.h.

int vtkExtractRectilinearGrid::IncludeBoundary`[protected]`

| Definition at line 102 of file vtkExtractRectilinearGrid.h.

The documentation for this class was generated from the following file:

- Graphics/vtkExtractRectilinearGrid.h